> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Accrual Balance

> Update an accrual balance corresponding to an accrual policy for one or more employees.



## OpenAPI

````yaml openapi/zeal-api.json patch /accrualBalance
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /accrualBalance:
    patch:
      summary: Update Accrual Balance
      operationId: update-accrual-balance
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - companyID
                - policy_code
              properties:
                companyID:
                  type: string
                  description: ID of the company
                policy_code:
                  type: string
                  description: Unique code assigned to a policy
                employees:
                  type: array
                  description: >-
                    Array of objects of employees and corresponding accrual
                    balances to be updated
                  items:
                    properties:
                      employeeID:
                        type: string
                        description: ID of the employee
                      accrual_balance:
                        type: number
                        description: Accrual balance to be updated
                        format: float
                    required:
                      - employeeID
                      - accrual_balance
                    type: object
            examples:
              Request Example:
                value:
                  companyID: cc3344747eee494857rrc9458nb3948
                  policy_code: '001'
                  employees:
                    - employeeID: 3578439f85h4
                      accrual_balance: 40
                    - employeeID: y54vy54y5b4y
                      accrual_balance: 35
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      companyID: 2hw67sd8900fd7hw78fdfhaej
                      accrualPolicies:
                        - policy_code: '001'
                          employeeID: ccee4542323errr34345223
                          policy_type: pto
                          policy_name: executive_pto
                          accrual_balance: '20.00'
                          accrual_rate_unit: hours
                          policy_status: live
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: object
                    properties:
                      companyID:
                        type: string
                        example: 2hw67sd8900fd7hw78fdfhaej
                      accrualPolicies:
                        type: array
                        items:
                          type: object
                          properties:
                            policy_code:
                              type: string
                              example: '001'
                            employeeID:
                              type: string
                              example: ccee4542323errr34345223
                            policy_type:
                              type: string
                              example: pto
                            policy_name:
                              type: string
                              example: executive_pto
                            accrual_balance:
                              type: string
                              example: '20.00'
                            accrual_rate_unit:
                              type: string
                              example: hours
                            policy_status:
                              type: string
                              example: live
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    error: true
                    message: Accrual policy with this policy code not found
                    timestamp: '2023-03-27T17:24:35Z'
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  error:
                    type: boolean
                    example: true
                    default: true
                  message:
                    type: string
                    example: Accrual policy with this policy code not found
                  timestamp:
                    type: string
                    example: '2023-03-27T17:24:35Z'
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````